@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

$notification-width: 260px;

.Notification {
  width: $notification-width;
  display: grid;
  position: relative;
  grid-template-columns: 4px auto;
  grid-template-rows: min-content auto;
  grid-template-areas:
    "status message"
    "status description";
  border-radius: 4px;

  &-clickable {
    cursor: pointer;
  }

  .close {
    position: absolute;
    right: 10px;
    top: 10px;
    width: 8px;
    height: 8px;
    cursor: pointer;

    svg {
      margin: 0;
    }
  }

  .status {
    grid-area: status;
    border-radius: 4px 0 0 4px;
  }

  .message {
    grid-area: message;
    margin-top: 8px;
    margin-bottom: 8px;
    font-size: 12px;
    font-weight: 600;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .description {
    grid-area: description;
    margin-bottom: 8px;
    font-size: 12px;
    font-weight: 400;
    overflow-wrap: anywhere;
  }

  .message,
  .description {
    width: calc(#{$notification-width} - (12px + 32px));
    user-select: none;
    padding-left: 12px;
    padding-right: 32px;
  }
}

@include themify("Notification", $themes) {
  font-family: themed("font-family");
  background-color: themed("notification-background");

  .status-focus {
    background-color: themed("status-focus");
  }

  .status-active {
    background-color: themed("status-active");
  }

  .status-busy {
    background-color: themed("status-busy");
  }

  &.Notification-danger,
  .status-danger {
    background-color: themed("status-danger");
  }

  .message,
  .description {
    color: themed("notification-text");
  }

  .close:hover * {
    fill: themed("panel-background-hovered");
  }

  .close:active {
    background-color: transparent;
    border-color: transparent;
  }
}
